---
schema_version: "1"
id: 166b888b45ce04693b18d94d207f06c8dcf04ec976490a00c8169a4b8c62df00
title: Get Last Selected App
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_apps_selected.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_apps_selected.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8472484794c7bc7c8a6a5fbbf384bddfdc2502f9136704ca64b2c321f327bbd7
description: Retrieves the app the current user last selected or the app the user sees by default.
---
# Get Last Selected App

Retrieves the app the current user last selected or the app the user sees by default.

Resource

/ui-api/apps/selected

Available Version

43.0

HTTP Method

GET

Example

To get metadata for the last selected app, make this request:

GET /services/data/v68.0/ui-api/apps/selected?formFactor=Large

The request returns metadata for the app and its associated navigation items.

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d40292e111">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d40292e114">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d40292e117">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d40292e120">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d40292e123">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d40292e111" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d40292e114" data-title="Type">String</td>

                  <td class="entry" headers="d40292e117" data-title="Description">The form factor for each app that the user has access to.<a name="form_factor_values_ul"><!-- --></a>
                    <ul class="ul bulletList" id="form_factor_values_ul">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—App supports the
                        desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—App supports the
                        tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—App supports the phone
                        display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d40292e120" data-title="Required or Optional">Required</td>

                  <td class="entry" headers="d40292e123" data-title="Available Version">43.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d40292e111" data-title="Parameter Name"><samp class="codeph nolang">userCustomizations</samp></td>

                  <td class="entry" headers="d40292e114" data-title="Type">Boolean</td>

                  <td class="entry" headers="d40292e117" data-title="Description">If <samp class="codeph nolang">true</samp>, gets custom and standard
                    navigation tabs. If false, gets only standard navigation tabs.</td>

                  <td class="entry" headers="d40292e120" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d40292e123" data-title="Available Version">43.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[App](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_app.htm "The metadata for a single app.")